# 🚨 ExplainThis

**ExplainThis** is a beginner-friendly Python error handler that transforms confusing tracebacks into colorful, readable, and helpful terminal output using the `rich` library.

It’s designed for new coders — whether you're learning loops or building your first script, ExplainThis helps you understand *what* went wrong and *where* to fix it.

---

## 📦 Features

- 🎯 Pinpoints exactly where your error occurred
- 🌈 Clean, styled traceback summaries
- 💡 Human-readable explanations of common Python errors
- 🧠 Optional full traceback for advanced users
- 🎨 Customizable themes via JSON
- 🪄 Easy one-line setup

---

## 🚀 Quickstart

### 1. Install Dependencies

ExplainThis depends on [`rich`](https://github.com/Textualize/rich):

```bash
pip install rich

---

## 📜 License

This project is **not open source**.

All rights reserved © 2025 Jaden Gregory. You may not copy, distribute, or modify this software without permission.